Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1096662 - [RFE] Long strings in dialogs adversely affect GUI
Summary: [RFE] Long strings in dialogs adversely affect GUI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.5.0
Assignee: Alona Kaplan
QA Contact: Pavel Stehlik
URL:
Whiteboard: ux
Depends On:
Blocks: 1029973 1084748 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-12 08:18 UTC by Lior Vernia
Modified: 2015-05-05 01:44 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0-beta1.1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 18:01:30 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 29125 master MERGED webadmin: LabelWithTextOverflow trims long text and add "..." Never

Description Lior Vernia 2014-05-12 08:18:58 UTC
Description of problem:

Some entities in RHEV may include display strings of arbitrary length, these are usually names that are used internally within RHEV and therefore are not "naturally" constrained, e.g. by Linux specification. Examples include VM network interface names and network labels.

These names, when chosen by users to be long (which I'd find undesirable but other users might not), either wreak havoc with the layout of the dialog or truncate the string. Both these alternative aren't great.

It might have been preferable to limit the length in the first place, but some entities might already exist "in the wild" that have long names already. Adding a validation constraint now will cause issues when users edit these entities.

What could be done is something similar to what's done with long column content in tabs - add a tooltip panel reuseable widget, that would automatically truncate long names, add "..." and upon hover will display the full-length string.


Version-Release number of selected component (if applicable):

RHEV 3.3 for example.


How reproducible:

Always.

Comment 1 Alona Kaplan 2014-06-25 12:39:29 UTC
A new class named 'LabelWithTextOverflow' was introduced.
In case the lable's text is cropped, the text is visually trimmed. To let the user know that the text was trimmed '...' (three dots) are appended to the string.
The tooltip contains the full text string and displayed only if the text is trimmed.

Please notice that a separate bug should be opened for each problematic long string. This bug fix just introduces a class that can help fixing most of the bugs of this type.

Comment 3 errata-xmlrpc 2015-02-11 18:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.